;; Here are some additional functions/macros that could help you configure Doom:
;;
;; - `load!' for loading external *.el files relative to this one
;; - `use-package!' for configuring packages
;; - `after!' for running code after a package has loaded
;; - `add-load-path!' for adding directories to the `load-path', relative to
;;   this file. Emacs searches the `load-path' when you load packages with
;;   `require' or `use-package'.
;; - `map!' for binding new keys


;; Some functionality uses this to identify you, e.g. GPG configuration, email
;; clients, file templates and snippets.
(setq user-full-name "Evar Smith"
      user-mail-address "me@evar.dev")

(setq custom-file null-device)

(load! "config-appearance")
(load! "config-org")
(when IS-WORK (load! "config-true-helix"))
(when IS-DEV (load! "config-dev"))

;; dont lazy load on windows
;; because it sucks
;(if IS-WINDOWS
;    (progn (use-package! org :demand)
;           (use-package! treemacs :demand)
;           (use-package! projectile :demand)
;           (use-package! workgroups :demand)
;           (use-package! treemacs-projectile :demand)))
